\name{iPF}
\alias{iPF}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
iPF : Integrative Phenotyping Framework (iPF)
}
\description{
An R-package for an integrative phenotying framework (iPF) for disease subtype discovery. A feature topology plot was developed for effective dimension reduction and visualization of multi-omics data. 
}
\usage{
iPF(DList, distMat, Var.types)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{DList}{
The imputed data set consisting of multi-level data with a list format.
}
  \item{distMat}{
The pre-calculated distance matrix of all variables across data sets.
}
  \item{Var.types}{
The type of variables; con (continues), bin (binary), ord (ordinal), nom (multinomial)
}
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}

\author{
SungHwan Kim, Don Kang and George C. Tseng
}
%% ~Make other sections like Warning with \section{Warning }{....} ~
\examples{
library(gdata)
library(doMC)
library(polycor)
library(mgcv)
library(cluster)
library(matrixStats)
library(ggplot2)
registerDoMC(5)
library(proto)
library(mclust)

data(DList)
data(distMat) 
data(Var.types)
data(diagnosis)
lgrc <- iPF(DList, distMat, Var.types = Var.types)
lgrc$doPhenotyping(k=c(3,3), ik=3, .dim=2)
clsInfo <- lgrc$getClusterInfo(what=diagnosis)
clsInfo <- lgrc$adjustClusterInfo(clsInfo)
lgrc$Plot(clsInfo, .dim=2, .name.data="Clinical", .color.2d.range=c(-0.8,0.8), collapse.col=TRUE)
lgrc$Plot(clsInfo, .dim=2, .name.data="GeneExprs", .color.2d.range=c(-1,1), collapse.row=TRUE)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.


